//---------------------------------------------------------------------------

#include <vector>
#include <utility>
#include <vcl.h>
#pragma hdrstop

#include "twf2obp_psel.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFrmSelProgram *FrmSelProgram;

extern std::vector <std::pair <AnsiString, int> >* globalProgramNames;
extern int globalProgramIndex;

//---------------------------------------------------------------------------
__fastcall TFrmSelProgram::TFrmSelProgram(TComponent* Owner)
    : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TFrmSelProgram::FormShow(TObject *Sender)
{
    int cnt;
    AnsiString str;

    if (!globalProgramNames)
        return;
    cnt = globalProgramNames->size ();
    LbxPrograms->Items->Clear ();
    for (int i = 0; i < cnt; ++i)
        LbxPrograms->Items->Add (globalProgramNames->at (i).first);
}
//---------------------------------------------------------------------------
void __fastcall TFrmSelProgram::BtnSelectClick(TObject *Sender)
{
    globalProgramIndex = LbxPrograms->ItemIndex;
    Close ();    
}
//---------------------------------------------------------------------------
void __fastcall TFrmSelProgram::LbxProgramsClick(TObject *Sender)
{
    BtnSelect->Enabled = LbxPrograms->ItemIndex >= 0;
}
//---------------------------------------------------------------------------
void __fastcall TFrmSelProgram::BtnCancelClick(TObject *Sender)
{
    Close ();    
}
//---------------------------------------------------------------------------

