//---------------------------------------------------------------------------

#include <vcl.h>
#include <windows.h>
#include <cstring>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("FrmMainUnit.cpp", FrmMain);


bool wrongParameter (void)
{
	LPTSTR cmdline = GetCommandLine ();
	bool quota = false, escape = false;

		/* skip EXE path */
	do
	{
		if ((*cmdline == '"') && !escape)
			quota = !quota;
		escape = (*cmdline == '\\');
    }
	while ((*(cmdline++) != ' ') || quota);
	
	return (std::strcmp (cmdline, "owb2sim_simexit_call"));
}

//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();

		if (wrongParameter ())
			return (1);

		Application->CreateForm(__classid(TFrmMain), &FrmMain);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	catch (...)
	{
		try
		{
			throw Exception("");
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
